/// <reference types="jquery" />
import { ErrorHandler } from './error-handler';
import { ErrorHandlerTextConfig } from './error-handler-text-config';
/**
 * data-* api
 *  1)context-proxy：覆盖config中配置，与config中不同的是值可为false。使用方表单域/表单组
 *  2)offset-y：提示垂直偏移量，负数向上，正数向下。使用方错误文本
 *  3)offset-x：提示水平偏移量，负数向左，正数向右。使用方错误文本
 *  4)inline：覆盖config中配置。使用方错误文本
 */
export declare class ErrorHandlerText implements ErrorHandler {
    private $ele;
    private config;
    private $text;
    private isInitial;
    private lastStatusValid;
    constructor($ele: JQuery, config: ErrorHandlerTextConfig);
    whenValid(): void;
    whenInvalid(): void;
    private init();
}
